Recent Global Posts Feed Widget gives 404 error

I just installed Recent Global Posts Feed (in /wp-content) and widget-recent-global-posts-feed.php (to /wp-content/plugins/) as per the instructions. (Post Indexer was already installed.)

When I activate the widget, it puts a link in my sidebar, but clicking the link takes me to a 404 error page.

Trying to troubleshoot, I think I did the install correctly, but just came upon this thread in the forum from just last month where Arun Basil Lal says we should pload widget-recent-global-posts-feed.php to /wp-content/mu-plugins.

Is that info correct? If not, any ideas about why I'm getting this error?